//**********************************************************************//
//									//
//	Title  : dustball.shader					//
//	Author : Sock							//
//	Date   : 17th August 2001					//
//	Email  : sock@planetquake.com					//
//	URL    : http://www.planetquake.com/simland			//
//									//
//**********************************************************************//
// customized by KittyWumpus* for ut4_frenzee

textures/ut4_frenzee/fzee_dustball_skybox
{
	qer_editorimage textures/ut4_frenzee/sock_dustball_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 20 3
	surfaceparm sky
	q3map_sunEXT 1.0 0.82 0.733 20 320 20 1 16
	q3map_backSplash 0 512
	skyparms env/ut4_frenzee/dustball 512 -
}

//fog
textures/ut4_frenzee/fzee_fog
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( .24 .19 .098 ) 512
}

// delisi water from Venice

textures/ut4_frenzee/fzee_water
{
	qer_editorimage textures/ut4_frenzee/delisi_water.tga
//	tessSize 100
	surfaceparm trans
	surfaceparm nonsolid
	//surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	//cull disable
	
	{	
		map textures/ut4_frenzee/delisi_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

// no damage floor metals

textures/ut4_frenzee/fzee_floor_metal1
{
	qer_editorimage textures/ut4_frenzee/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal2
{
	qer_editorimage textures/ut4_frenzee/pr_metal061.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal061.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal3
{
	qer_editorimage textures/ut4_frenzee/pr_metal079.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal079.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal4
{
	qer_editorimage textures/ut4_frenzee/pr_metal076.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal076.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal_r1
{
	qer_editorimage textures/ut4_frenzee/pr_metal027r.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal027r.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal_b1
{
	qer_editorimage textures/ut4_frenzee/pr_metal027b.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal027b.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

//glass: slippery, no damage

textures/ut4_frenzee/fzee_glass_slip
{
	qer_editorimage textures/ut4_frenzee/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_frenzee/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}


//Lighting
//From crossing; altered for use

textures/ut4_frenzee/fzee_panel_500
{
	qer_editorimage textures/ut4_frenzee/xing_panel.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_frenzee/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_frenzee/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//plasma tubes from crapchute- non solid transport, temp

textures/ut4_frenzee/fzee_plasma3
{
	qer_editorimage textures/ut4_frenzee/ut4fzee_glass2.jpg
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .8
	cull none
	{
		map textures/ut4_frenzee/ut4fzee_glass2.jpg
		tcmod turb 0 .05 .08 .03
		tcMod Scroll .7 .5
		blendFunc add
       }
     
}

//Fence, Alpha'd, from Urban_terror.shader and urban_terror2 textures

textures/ut4_frenzee/fzee_fence
{
	qer_editorimage textures/ut4_frenzee/bbq_window.tga
	surfaceparm trans
	surfaceparm nodamage		
	cull none
        nopicmip

	{
		map textures/ut4_frenzee/bbq_window.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Ladderclip form UrT

textures/ut4_frenzee/fzee_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//from Horror
textures/ut4_frenzee/fz_lavapit1
	{
		qer_editorimage textures/ut4_frenzee/utliq_lava01.tga
		//q3map_lightimage textures/ut4_frenzee/utliq_lava02.tga
		q3map_globaltexture
		//qer_trans .5
	q3map_lightsubdivide 32

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		//surfaceparm trans		

		q3map_surfacelight 1500
		//tessSize 8
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/ut4_frenzee/utliq_lava01.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/ut4_frenzee/utliq_lava02.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}

		{
			map textures/ut4_frenzee/utliq_bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		


}

//new lava

textures/ut4_frenzee/fz_lavapit2
{
	qer_editorimage textures/ut4_frenzee/utliq_lava01.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	//surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull disable
	
//	tesssize 128
//	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ut4_frenzee/utliq_lava01.tga
		tcMod turb 0 .2 0 .1
	}
       
}

